import cadquery as cq

centers = [
    (-5, 0),
    (10, 5),
    (10, -5)
    ]

plunger = (
    cq.Workplane("XZ")
    .polyline([
        (0, 0),
        (10, 0),
        (9.2, 10),
        (0, 10)
        ])
    .close()
    .revolve()
    .faces(">Z")
    .workplane()
    .pushPoints(centers)
    .hole(3)
    )

show_object(plunger)